Skip to main content
GET
Get role on a matter

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string<uuid>
required
id
string<uuid>
required

Response

When request is successful. Returns a 'Role' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the role.

Example:

"009f778f-83df-454a-b344-768a862a7e55"

name
string | null

Name of the role.

Example:

"Client"

contact
object | null

Hypermedia link of the associated contact.

roleDescription
string | null

Name of the role (user editable).

Example:

"Head Honcho"

description
string | null

Description of the role.

Example:

"The person for whom I am working"

representatives
object[] | null

List of hypermedia links of the associated representatives.

relationships
object[] | null

List of associated relationships.

isClient
boolean

Boolean flag indicating if role belongs to a 'Client'.

Example:

false

isOtherSide
boolean

Boolean flag indicating if role belongs to an 'OtherSide'.

Example:

false